import { NativeAuthSigner } from "../../auth/native.auth.signer";
export interface ApiSettingsBasicCredentials {
    username: string;
    password: string;
}
export declare class ApiSettings {
    timeout?: number;
    skipRedirects?: boolean;
    responseType?: 'arraybuffer' | 'json';
    headers?: Record<string, string>;
    params?: any;
    httpsAgent?: any;
    auth?: ApiSettingsBasicCredentials;
    nativeAuthSigner?: NativeAuthSigner;
}
